package coolCalendar;

import java.util.*;
import java.text.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * A dialog box to authentificate.
 */
public class AuthentificationDialog 
    extends JDialog
{
    private JPanel mainPanel = null;

    private JTextField emailField = null;
    private JPasswordField passwordField = null;

    private JButton okayButton = null;
    private JButton cancelButton = null;

    private boolean result = false;


    /**
     * Construct a dialog.
     */
    public AuthentificationDialog(Frame parent)
    {
        super(parent, "Authentification", true);

        // Dialog is not resizable.
        setResizable(false);
		setSize(300, 250);
		setModal(true);
		mainPanel = new JPanel() {
    		public  void paintComponent(Graphics g) {
				if (g != null) {
					ImageIcon tmpImage = new ImageIcon(Definition.AuthentificationImage);
					g.drawImage(tmpImage.getImage(), 0, 0, mainPanel.getWidth(), mainPanel.getHeight(), this);
					super.paintComponent(g);
				}
			}};
		mainPanel.setOpaque(false);

        // Set close handler for window.
        setDefaultCloseOperation(JDialog.DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent event)
            {
                doCancel();
            }
        });


        // Layout components.
        getContentPane().add(mainPanel);
        mainPanel.setLayout(new BorderLayout());
        mainPanel.add(createEditPanel(), BorderLayout.NORTH);
        mainPanel.add(createButtonPanel(), BorderLayout.SOUTH);
    }


    /**
     * Return the result of the dialog.
     */
    public boolean isOkay()
    {
        return result;
    }


    /**
     * Return the email.
     */
    public String getEmail()
    {
        return emailField.getText();
    }

    /**
     * Set the email
     */
    public void setEmail(String email)
    {
        emailField.setText(email);
    }



    /**
     * Return the password
     */
    public String getPassword()
    {
        return new String(passwordField.getPassword());
    }

    /**
     * Set the password
     */
    public void setpassword(String password)
    {
        passwordField.setText(password);
    }



    /**
     * Closes the dialog with "true" result.
     */
    protected void doOkay()
    {
    	if (emailField.getText().length() == 0) {
	    		result = false;
    			return;
    			}

    	if (new String(passwordField.getPassword()).length() == 0) {
	    		result = false;
    			return;
    			}

        result = true;
        setVisible(false);
        dispose();
    }

    /**
     * Closes the dialog with "false" result.
     */
    protected void doCancel()
    {
        result = false;
        setVisible(false);
        dispose();
    }

    /**
     * Creates the edit panel.
     */
    protected JPanel createEditPanel()
    {
		JPanel panel = new JPanel(new GridLayout(2,2));
		panel.setOpaque(false);
		JLabel ulabel= null, plabel=null;

		panel.add(ulabel = new JLabel("User:"));
		ulabel.setForeground(Color.white);
		ulabel.setHorizontalAlignment(JLabel.CENTER);

		panel.add(emailField = new JTextField(20));

		panel.add(plabel = new JLabel("Password:"));
		plabel.setForeground(Color.white);
		plabel.setHorizontalAlignment(JLabel.CENTER);

		panel.add(passwordField = new JPasswordField(20));
		return panel;
    }


    /**
     * Creates the button panel.
     */
    protected JPanel createButtonPanel()
    {
        JPanel panel = new JPanel();
		panel.setOpaque(false);

        panel.add(okayButton = new JButton("Okay"));
        panel.add(cancelButton = new JButton("Cancel"));

        // Add some action listeners.
        okayButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent event)
            {
                doOkay();
            }
        });

        cancelButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent event)
            {
                doCancel();
            }
        });

        return panel;
    }
}
