package coolCalendar;

import java.util.EventObject;

/**
 * An event representing the appointable object that
 * was the focus of a specific calendar action; CalendarEvents
 * a dispatched to CalendarListeners by the CalendarModel.
 */
public class CalendarModelEvent extends EventObject
{
    private Appointable appointable = null;

    public CalendarModelEvent(Object src, Appointable appointable)
    {
        super(src);
        this.appointable = appointable;
    }

    public Appointable getAppointment()
    {
        return appointable;
    }
}
