package coolCalendar;

import java.util.*;

/**
 * An interface that allows other objects to listen for
 * change events on a CalendarModel; the CalendarPanel
 * implements this interface so it can keep itself
 * synchronized with its underlying CalendarModel.
 */
public interface CalendarModelListener extends EventListener
{
    public void appointmentAdded(CalendarModelEvent event);
    public void appointmentRemoved(CalendarModelEvent event);
    public void appointmentUpdated(CalendarModelEvent event);
}
