package coolCalendar;

import java.util.*;

class ClosedAppointment
    extends Appointment
{

    // the unit in which the duration is specified
    // 
    private int durationU;

    /** returns the unit of the duration as HOUR_OF_DAY,MINUTE,DAY_OF_YEAR,
	WEEK_OF_YEAR of the class java.util.Calendar.

	@see java.util.Calendar
     */
    int getDurationUnit()
    {
		return durationU;
    }

    /** 
	creates an closed event.
	@param startD   the start and end date of the event
     */
    public ClosedAppointment(Date startD)
    {
		super(startD, "", 0, 0, 0, 0, startD, null);
		setDuration(0);
		this.durationU = 0;
    }

    /** 
	creates an closed event.
	@param startD   the start date of the event
	@param descr    a description
	@param duration the duration in days
	@param duration the unit in which the duration is specified
     */
    ClosedAppointment(Date startD, String descr, 
		 int duration, int durationU, int remind, int remindU,
		 int period, int periodU, Date endD, HashSet plist)
    {
	super(startD, descr, remind, remindU, period, periodU, endD, plist);
	setDuration(duration);
	this.durationU = durationU;
    }

    /**
       returns a copy of this closes calendar event.
    */
    ClosedAppointment copy()
    {
	ClosedAppointment res = 
	    new ClosedAppointment(getStartDate(),
				  getDescription(),
				  getDuration(),
				  getDurationUnit(),
				  getReminderTime(),
				  getReminderTimeUnit(),
				  getPeriodTime(),
				  getPeriodTimeUnit(),
				  getPeriodEndTime(),
				  getParticipantList());
	res.setKey(getKey()); // Integer are immutable
	return res;
    }

    /** prints the start and end date and the description */
    public String toString()
    {
	GregorianCalendar cal = new GregorianCalendar();
	cal.setTime(getStartDate());
	GregorianCalendar calE = new GregorianCalendar();
	calE.setTime(getEndDate());
	StringBuffer res = new StringBuffer();
	res = res.append(cal.get(Calendar.HOUR_OF_DAY)).append(":").
	    append(cal.get(Calendar.MINUTE)).append("-").
	    append(calE.get(Calendar.HOUR_OF_DAY)).append(":").
	    append(calE.get(Calendar.MINUTE)).append("=>").
	    append(getDescription());
	return res.toString();
    }

}
