package coolCalendar;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * This class creates the top-level JFrame for the application.
 */
public class Main extends JFrame
{

    private UserPanel panel = null;
    private UserDB userDB = null;

    public Main()
    {
        super("Calendar");

        // Handling window close events.
        setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent event)
		{
		    closeMainWindow();
		}
	    });
	
	final String FileName = Definition.UsersFile;
	userDB = new UserDB(FileName,Definition.SharedFile);
	userDB.restore();

	// Set layout manager and add GUI panel.
	getContentPane().setLayout(new BorderLayout());
	panel = new UserPanel(userDB, this);
	getContentPane().add(panel, BorderLayout.CENTER);
	pack();

	panel.centerWindow(this);
    }
    
    public void closeMainWindow() {
	setVisible(false);
	dispose();
	// save DataBase to file
	userDB.saveModifiedCalendars();
	userDB.save();
	System.exit(0);
    }
    
    public static void main(String[] argv)
    {
        // Create application object.
        Main obj = new Main();
        obj.setVisible(true);
    }
}
