package coolCalendar;

import javax.swing.*;
import java.awt.*;


class MyListCellRenderer extends JLabel implements ListCellRenderer {

	public MyListCellRenderer () {
		setOpaque(false);
	}

	public Component getListCellRendererComponent(
		JList list,
		Object value,            // value to display
		int index,               // cell index
		boolean isSelected,      // is the cell selected
		boolean cellHasFocus)    // the list and the cell have the focus
	{
//		float alphaValue = (float)0.5;
		int alphaValue = 255;

		setOpaque(false);
		setText(value.toString());

		float[] tmpColor = new float[3];
		Color bgColor, fgColor;

		if (isSelected) {
			setOpaque(true);
			setBackground(list.getSelectionBackground());
			setForeground(list.getSelectionForeground());
		}
		else {
//			tmpColor = list.getBackground().getColorComponents(tmpColor);
//			bgColor = new Color(tmpColor[0], tmpColor[1], tmpColor[2], alphaValue);
			bgColor = new Color(20, 20, 20, alphaValue);
			setBackground(bgColor);

//			tmpColor = list.getForeground().getColorComponents(tmpColor);
//			fgColor = new Color(tmpColor[0], tmpColor[1], tmpColor[2], alphaValue);
			fgColor = new Color(255, 111, 111, alphaValue);
//			fgColor = Color.yellow;
			fgColor.brighter();
			setForeground(fgColor);
		}
		setEnabled(list.isEnabled());
		setFont(list.getFont());
		return this;
	}
}
