package coolCalendar;

import java.util.*;

class OpenAppointment
    extends Appointment
    implements Cloneable
{

    /** returns always DAY_OF_YEAR of the class java.util.Calendar.

	@see java.util.Calendar
     */
    int getDurationUnit()
    {
	return Calendar.DAY_OF_YEAR;
    }

    /** 
	creates an open event.
	@param startD   the start and end date of the event
     */
    public OpenAppointment(Date startD)
    {
	super(startD, "", 0, 0, 0, 0, startD, null);
	setDuration(0);
    }


    /** 
	creates an open event.
	@param startD   the start date of the event
	@param descr    a description
	@param duration the duration in days
     */
    public OpenAppointment(Date startD, String descr,
    	int duration, int remind, int remindU,
		int period, int periodU, Date endD, HashSet plist)
    {
	super(startD, descr, remind, remindU, period, periodU, endD, plist);
	setDuration(duration);
    }

    /**
       returns a copy of this open calendar event.
    */
    OpenAppointment copy()
    {
	OpenAppointment res = 
	    new OpenAppointment(getStartDate(),
				getDescription(),
				getDuration(),
				getReminderTime(),
				getReminderTimeUnit(),
				getPeriodTime(),
				getPeriodTimeUnit(),
				getPeriodEndTime(),
				getParticipantList());
	res.setKey(getKey());
	return res;
    }

    /** prints the description */
    public String toString()
    {
	return getDescription();
    }
}
