package coolCalendar;

import java.util.*;
import java.io.*;

public class User
    implements  Serializable
{
    // a unique Id
    private Integer id=null;

    public void setId(Integer nwid)
    {
	id = nwid;
    }

    public Integer getId()
    {
	return id;
    }

    // an id counter
    static private int id_ctr = 0;

    // the email address
    private String email=null;

    public void setEmail(String em)
    {
	email = em;
    }

    public String getEmail()
    {
	return email;
    }


    // the password
    private String password=null;

    public void setPassword(String pwd)
    {
	password = pwd;
    }

    public String getPassword()
    {
	return password;
    }

    // the first name
    private String firstname=null;

    public void setFirstName(String fn)
    {
	firstname = fn;
    }

    public String getFirstName()
    {
	return firstname;
    }


    // the last name
    private String lastname=null;

    public void setLastName(String ln)
    {
	lastname = ln;
    }

    public String getLastName()
    {
	return lastname;
    }


    // the associated Calendar
    private CalendarReference calendar;

    public void setCalendar(CalendarReference cal)
    {
	calendar=cal;
    }

    public  CalendarReference getCalendar()
    {
	return calendar;
    }


 
    /** two calendar events are compared according to their start date and their 
        end date. If start and end date are the same, the unique key is used for 
        comparison to ensure a total order.
     */


    /*
    public int compareTo(Object o)
        throws ClassCastException 
    {
        other = (Appointment) o;

        // compare the start date
        int start = startDate.compareTo(other.startDate );
        
        if (start == 0)
            { // compare the end date
                int end = getEndDate().compareTo(other.getEndDate());
                if (end == 0)
                    { // now use the unique keys
                        return key.compareTo(other.getKey());
                    }
                else
                    { // use the end date
                        return end;
                    }
            }
        else
            { // use the start date
                return start;
            }
    }

    */


	/**
	 @returns the user detailes for the login panel
	 */
    public String getUserDetail()
    {
		return new String(email + "   " + firstname + "   " + lastname);
    }


    /** stores the parameters and create a unique key.
     */
    public User(String em,String pwd,String fn,String ln,CalendarReference cal)
    {
	id = new Integer(id_ctr++);
	email = em;
	password = pwd;
	firstname = fn;
	lastname = ln;
	calendar = cal;
    }


	User copy()
    {
		User res = 
		    new User(getEmail(),
			     getPassword(),
			     getFirstName(),
			     getLastName(),
			     getCalendar()
			     );
		res.setId(getId()); // Integer are immutable
		return res;
	    }

	    public String toString(){
		return email;
	}

}

